## GimpStringComboBox GimpStringComboBox — A GtkComboBox subclass to select strings. |

## Functions

GtkWidget * | gimp_string_combo_box_new ()
gboolean | gimp_string_combo_box_set_active ()
gchar * | gimp_string_combo_box_get_active ()

## Properties

PangoEllipsizeMode | ellipsize | Read / Write
gint | id-column | Read / Write / Construct Only
gint | label-column | Read / Write / Construct Only

## Types and Values

| GimpStringComboBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkComboBox
                                ╰── GimpStringComboBox

## Implemented Interfaces

GimpStringComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Description

A GtkComboBox subclass to select strings.

## Functions

### gimp_string_combo_box_new ()

    GtkWidget *
    gimp_string_combo_box_new (GtkTreeModel *model,
                               gint id_column,
                               gint label_column);

#### Returns

a new GimpStringComboBox.

Since: GIMP 2.4

### gimp_string_combo_box_set_active ()

    gboolean
    gimp_string_combo_box_set_active (GimpStringComboBox *combo_box,
                                      const gchar *id);

Looks up the item that belongs to the given `id` and makes it the selected item in the `combo_box` .

#### Parameters

combo_box | a GimpStringComboBox |
id | the ID of the item to select |

#### Returns

`TRUE` on success or `FALSE` if there was no item for this value.

Since: GIMP 2.4

### gimp_string_combo_box_get_active ()

    gchar *
    gimp_string_combo_box_get_active (GimpStringComboBox *combo_box);

Retrieves the value of the selected (active) item in the `combo_box` .

#### Parameters

combo_box | a GimpStringComboBox |

#### Returns

newly allocated ID string or `NULL` if nothing was selected

Since: GIMP 2.4

## Types and Values

### GimpStringComboBox

    typedef struct _GimpStringComboBox GimpStringComboBox;

## Property Details

### The `“ellipsize”` property

      “ellipsize”                PangoEllipsizeMode

Specifies the preferred place to ellipsize text in the combo-box, if the cell renderer does not have enough room to display the entire string.

Flags: Read / Write

Default value: PANGO_ELLIPSIZE_NONE

Since: GIMP 2.4

### The `“id-column”` property

      “id-column”                gint

The column in the associated GtkTreeModel that holds strings to be used as labels in the combo-box.

Flags: Read / Write / Construct Only

Allowed values: >= 0

Default value: 0

Since: GIMP 2.4

### The `“label-column”` property

      “label-column”             gint

Flags: Read / Write / Construct Only

Allowed values: >= 0

Default value: 0